{ inputs, pkgs, ... }: {
  imports = with inputs.self.customModules; with inputs.self.nixosProfiles; [
    inputs.home-manager.nixosModules.home-manager {
      home-manager.useGlobalPkgs = true;
      home-manager.useUserPackages = true;
    }

    devices
    git
    gpg
    locale
    misc
    network
    nix
    nnn
    overlay
    persist
    secrets
    secrets-envsubst
    security
    ssh
    users
    zsh

    vscode-server
  ];

  environment.systemPackages = [ pkgs.kitty ];
}
